=== debian/changelog ===
ros-melodic-mbf-mesh-nav (1.0.1-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 22:00:00 -0000

ros-melodic-mbf-mesh-nav (1.0.0-1bionic) bionic; urgency=high

  * Initial release

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 15 Dec 2020 23:00:00 -0000
