=== debian/control ===
Source: ros-melodic-mbf-mesh-nav
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-mbf-abstract-nav, ros-melodic-mbf-mesh-core, ros-melodic-mesh-map, ros-melodic-pluginlib, ros-melodic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-mbf-mesh-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-mbf-abstract-nav, ros-melodic-mbf-mesh-core, ros-melodic-mesh-map, ros-melodic-pluginlib, ros-melodic-roscpp
Description: The mbf_mesh_nav package
